#
# spec file for package libpaper1
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libpaper1
Version:        1.1.24
Release:        10.17
License:        GPL-2.0+
Summary:        Library to handle papers
Url:            http://packages.debian.org/unstable/source/libpaper
Group:          System/Libraries
%if 0%{?suse_version}
Recommends:     groff
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
%endif
Source:         libpaper_%{version}+nmu2.tar.bz2
Source1:        libpaper1-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a simple library for use by programs needing to
handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package -n libpaper-utils
Summary:        Utilities for handling paper characteristics
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libpaper-utils
This package contains utilities for setting the system's default
paper type and for accessing paper type information from shell
scripts.

%package -n libpaper-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n libpaper-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -n libpaper-%{version}+nmu2

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
# remove unneeded files
rm %{buildroot}%{_libdir}/libpaper.la
# build the docdir
mkdir -p %{buildroot}%_defaultdocdir/libpaper
cp COPYING README ChangeLog debian/changelog %{buildroot}%_defaultdocdir/libpaper/
%if 0%{?suse_version} > 1020
%fdupes -s %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libpaper.so.1*

%files -n libpaper-utils
%defattr(-,root,root)
%doc %_defaultdocdir/libpaper
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%{_bindir}/paperconf
%{_sbindir}/paperconfig

%files -n libpaper-devel
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc %{_mandir}/man5/*
%{_includedir}/paper.h
%{_libdir}/libpaper.so

%changelog
* Thu Jul  5 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format
* Tue Jul  3 2012 lars@linux-schulserver.de
- update to 1.1.24+nmu2:
  + Add multiarch support
  + Correct DL size in paperconf
  + Fix pending l10n issues
  + Small changes to simplify portability
- specfile cleanup
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Tue Mar 25 2008 lrupp@suse.de
- don't build static libraries
- splitted libpaper1-utils
- use fdupes to reduce size
* Thu Jan 31 2008 lars@linux-schulserver.de
- recommend groff for /etc/papersize
- added authors to description
* Mon Jan 14 2008 lars@linux-schulserver.de
- update to 1.1.23:
  * completed the set of manual pages.
  * added the libpaper.so.1 link in installation.
  * added -E to less flags.
* Mon Aug 13 2007 lars@linux-schulserver.de
- update to 1.1.22
- use some macros
* Tue Aug  7 2007 sndirsch@suse.de
- created package
